package com.hai.dao;

import com.hai.entity.HighGasOrderRefund;
import com.hai.entity.HighGasOrderRefundExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface HighGasOrderRefundMapper extends HighGasOrderRefundMapperExt {
    @SelectProvider(type=HighGasOrderRefundSqlProvider.class, method="countByExample")
    long countByExample(HighGasOrderRefundExample example);

    @DeleteProvider(type=HighGasOrderRefundSqlProvider.class, method="deleteByExample")
    int deleteByExample(HighGasOrderRefundExample example);

    @Delete({
        "delete from high_gas_order_refund",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into high_gas_order_refund (return_content, create_time, ",
        "ext_1, ext_2, ext_3)",
        "values (#{returnContent,jdbcType=VARCHAR}, #{createTime,jdbcType=TIMESTAMP}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(HighGasOrderRefund record);

    @InsertProvider(type=HighGasOrderRefundSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(HighGasOrderRefund record);

    @SelectProvider(type=HighGasOrderRefundSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="return_content", property="returnContent", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<HighGasOrderRefund> selectByExample(HighGasOrderRefundExample example);

    @Select({
        "select",
        "id, return_content, create_time, ext_1, ext_2, ext_3",
        "from high_gas_order_refund",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="return_content", property="returnContent", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    HighGasOrderRefund selectByPrimaryKey(Long id);

    @UpdateProvider(type=HighGasOrderRefundSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") HighGasOrderRefund record, @Param("example") HighGasOrderRefundExample example);

    @UpdateProvider(type=HighGasOrderRefundSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") HighGasOrderRefund record, @Param("example") HighGasOrderRefundExample example);

    @UpdateProvider(type=HighGasOrderRefundSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(HighGasOrderRefund record);

    @Update({
        "update high_gas_order_refund",
        "set return_content = #{returnContent,jdbcType=VARCHAR},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(HighGasOrderRefund record);
}